<template>
  <v-container class="ma-12">
    <v-row class="d-flex justify-center">
      <v-col cols="10" class="d-flex justify-center">
        <v-progress-linear v-model="knowledge" height="25" reactive>
          <strong>{{knowledge}}/10</strong>
        </v-progress-linear>
      </v-col>
    </v-row>
    <v-row class="mt-10 justify-center">
      <v-col cols="4">
        <form>
          <ValidationProvider name="Name" rules="required|max:10">
            <v-text-field v-model="name" label="Name" required></v-text-field>
          </ValidationProvider>
          <v-btn class="mr-4" @click="handleSubmit">submit</v-btn>
        </form>
      </v-col>
      <v-col cols="6">
        <v-row>
          <v-col cols="4" class="pt-0 c-card" v-for="card in values" :key="card.index" @click="removeItems">
            <v-card>
              <v-card-text>
                {{card}}
              </v-card-text>
            </v-card>
          </v-col>
        </v-row>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
  // @ is an alias to /src

  export default {
    name: 'Home',
    data: () => ({
      knowledge: 0,
      values: [],
      name: "",
      todo: {
        id: Math.floor(Math.random() * 1000),
        name: null
      }
    }),
    methods: {
      handleSubmit(e) {
        if (this.values.length < 10) {
          this.values.push(this.name);
        }
        this.knowledge = this.values.length;
      },
      removeItems(e) {
        e.target.remove();
      }
    }
  }
</script>